
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>开源性能测试工具-Apache ab介绍 / iVAN</title>

    <meta name="description" content="开源性能测试工具-Apache ab介绍 引子 按照原定计划,今天开始研究 JMeter,一天的时间看完了大半的 User Manual,发现原来只要沉住气,学习效率还是蛮高的,而且大堆的英文文档也没有那么可怕. 本来想顺便把文档翻译一下,不过后来想了想,看懂是一回事,全部翻译出来又是另外一回事了,工作量太大,而且这也不是我一开始要研究 JMeter 的本意.不如大家有兴趣一起研究的遇到问题再一起讨论吧. 开源工具通常都是为了某个特定的目的而开发出来的,所以如果想找到一个开源的性能测试工具去与LoadRunner 或者 QALoad 之">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">开源性能测试工具-Apache ab介绍</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>引子</strong></p>
<p>　　按照原定计划，今天开始研究 <a><u><strong>JMeter</strong></u></a>，一天的时间看完了大半的 User Manual，发现原来只要沉住气，<a><u><strong>学习</strong></u></a>效率还是蛮高的，而且大堆的英文文档也没有那么可怕。</p>
<p>　　本来想顺便把文档翻译一下，不过后来想了想，看懂是一回事，全部翻译出来又是另外一回事了，<a><u><strong>工作</strong></u></a>量太大，而且这也不是我一开始要研究 JMeter 的本意。不如大家有兴趣一起研究的遇到问题再一起讨论吧。</p>
<p>　　开源工具通常都是为了某个特定的目的而开发出来的，所以如果想找到一个开源的<a><u><strong>性能测试</strong></u></a>工具去与<a><u><strong>LoadRunner</strong></u></a> 或者 QALoad 之类去比较，实在有些勉强。但是开源工具也有它自己的优势：小巧、轻便，在自己擅长的领域可以提供优秀的解决方案。所以，我们可以考虑准备一个自己的“开 源测试工具箱”，平时利用空闲时间了解各种工具所适用的环境和目的，知识慢慢积累下来以后，就可以在遇到问题时顺手拈来，轻松化解。</p>
<p>　　另外，如果8月份和9月份的空闲时间足够多，我想我会写一个系列文章来讲述在实际的开发和测试过程中引入开源性能测试工具的情况。如果有朋友感兴趣，希望大家可以一起研究和讨论。</p>
<p>　　<strong>简介</strong></p>
<p>　　ab的全称是ApacheBench，是 Apache 附带的一个小工具，专门用于 HTTP Server 的benchmark testing，可以同时模拟多个并发请求。前段时间看到公司的开发人员也在用它作一些测试，看起来也不错，很简单，也很容易使用。</p>
<p>　　通过下面的一个简单的例子和注释，相信大家可以更容易理解这个工具的使用。</p>
<p>　　<strong>一个简单的例子</strong></p>
<p>　　在这个例子的一开始，我执行了这样一个命令 ab -n 10 -c 10 http://www.google.com/</p>
<p>　　这个命令的意思是启动 ab ，模拟10个用户(-n 10)同时访问 www.google.com ，并迭代10次(-c 10)。跟着下面的是 ab 输出的测试报告，红色部分是我添加的注释。</p>
<table>
<tbody>
<tr>
<td>
<br />/*在这个例子的一开始，我执行了这样一个命令<strong>ab -n 10 -c 10<a href="http://www.google.com/" rel="external nofollow noreferrer">http://www.google.com/</a></strong><strong>。</strong>这个命令的意思是启动 ab ，向<a href="http://www.google.com/" rel="external nofollow noreferrer">www.google.com</a>发送10个请求(-n 10) ，并每次发送10个请求(-c 10)——也就是说一次都发过去了。跟着下面的是 ab 输出的测试报告，红色部分是我添加的注释。*/</p>
<p>C:\Program Files\Apache Software Foundation\Apache2.2\bin&gt;<strong>ab -n 10 -c 10 http://www.google.com/</strong></p>
<p>This is ApacheBench, Version 2.0.40-dev &lt;$Revision: 1.146 $&gt; apache-2.0</p>
<p>Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/</p>
<p>Copyright 1997-2005 The Apache Software Foundation, http://www.apache.org/</p>
<p> </p>
<p>Benchmarking www.google.com (be patient).....done</p>
<p> </p>
<p>Server Software:        GWS/2.1</p>
<p>Server Hostname:        www.google.com</p>
<p>Server Port:            80</p>
<p> </p>
<p>Document Path:          /</p>
<p>Document Length:        230 bytes</p>
<p> </p>
<p>Concurrency Level:      10</p>
<p>/*整个测试持续的时间*/</p>
<p>Time taken for tests:   3.234651 seconds</p>
<p>/*完成的请求数量*/</p>
<p>Complete requests:      10</p>
<p>/*失败的请求数量*/</p>
<p>Failed requests:        0</p>
<p>Write errors:           0</p>
<p>Non-2xx responses:      10</p>
<p>Keep-Alive requests:    10</p>
<p>/*整个场景中的网络传输量*/</p>
<p>Total transferred:      6020 bytes</p>
<p>/*整个场景中的HTML内容传输量*/</p>
<p>HTML transferred:       2300 bytes</p>
<p>/*大家最关心的指标之一，相当于 LR 中的<strong>每秒事务数</strong>，后面括号中的 mean 表示这是一个平均值*/</p>
<p>Requests per second:    3.09 [#/sec] (mean)</p>
<p>/*大家最关心的指标之二，相当于 LR 中的<strong>平均事务响应时间</strong>，后面括号中的 mean 表示这是一个平均值*/</p>
<p>Time per request:       3234.651 [ms] (mean)</p>
<p>/*这个还不知道是什么意思，有知道的朋友请留言，谢谢 ^_^ */</p>
<p>Time per request:       323.465 [ms] (mean, across all concurrent requests)</p>
<p>/*平均每秒网络上的流量，可以帮助排除是否存在网络流量过大导致响应时间延长的问题*/</p>
<p>Transfer rate:          1.55 [Kbytes/sec] received</p>
<p>/*网络上消耗的时间的分解，各项数据的具体算法还不是很清楚*/</p>
<p>Connection Times (ms)</p>
<p>              min  mean[+/-sd] median   max</p>
<p>Connect:       20  318 926.1     30    2954</p>
<p>Processing:    40 2160 1462.0   3034    3154</p>
<p>Waiting:       40 2160 1462.0   3034    3154</p>
<p>Total:         60 2479 1276.4   3064    3184</p>
<p> </p>
<p>/*下面的内容为整个场景中所有请求的响应情况。在场景中每个请求都有一个响应时间，其中 50％ 的用户响应时间小于 3064 毫秒，60 ％ 的用户响应时间小于 3094 毫秒，最大的响应时间小于 3184 毫秒*/</p>
<p>Percentage of the requests served within a certain time (ms)</p>
<p>  50%   3064</p>
<p>  66%   3094</p>
<p>  75%   3124</p>
<p>  80%   3154</p>
<p>  90%   3184</p>
<p>  95%   3184</p>
<p>  98%   3184</p>
<p>  99%   3184</p>
<p> 100%   3184 (longest request)</p>
</td>
</tr>
</tbody>
</table>
<p>　　<strong></strong>在这个例子的一开始，我执行了这样一个命令 ab -n 10 -c 10<a href="http://www.google.com/" rel="external nofollow noreferrer">http://www.google.com/</a></p>
<p>　　<strong></strong>这个命令的意思是启动 ab ，模拟10个用户(-n 10)同时访问<a href="http://www.google.com/" rel="external nofollow noreferrer">www.google.com</a>，并迭代10次(-c 10)。跟着下面的是 ab 输出的测试报告，红色部分是我添加的注释。</p>
<p>更多信息<br />
<br />　　ab 不像 LR 那么强大，但是它足够轻便，如果只是在开发过程中想检查一下某个模块的响应情况，或者做一些场景比较简单的测试，ab 还是一个不错的选择——至少不用花费很多时间去学习 LR 那些复杂的功能，就更别说那 License 的价格了。</p>
<p>　　下面是 ab 的详细参数解释。</p>
<p>ab [ -A auth-username:password ] [ -c concurrency ] [ -C cookie-name=value ] [ -d ] [ -e csv-file ] [ -g gnuplot-file ] [ -h ] [ -H custom-header ] [ -i ] [ -k ] [ -n requests ] [ -p POST-file ] [ -P proxy-auth-username:password ] [ -q ] [ -s ] [ -S ] [ -t timelimit ] [ -T content-type ] [ -v verbosity] [ -V ] [ -w ] [ -x &lt;table&gt;-attributes ] [ -X proxy[:port] ] [ -y &lt;tr&gt;-attributes ] [ -z &lt;td&gt;-attributes ] [http://]hostname[:port]/path</p>
<p>-A auth-username:password</p>
<p>Supply BASIC Authentication credentials to the server. The username and password are separated by a single : and sent on the wire base64 encoded. The string is sent regardless of whether the server needs it (i.e., has sent an 401 authentication needed).</p>
<p>-c concurrency</p>
<p>Number of multiple requests to perform at a time. Default is one request at a time.</p>
<p>-C cookie-name=value</p>
<p>Add a Cookie: line to the request. The argument is typically in the form of a name=value pair. This field is repeatable.</p>
<p>-d</p>
<p>Do not display the "percentage served within XX [ms] table". (legacy support).</p>
<p>-e csv-file</p>
<p>Write a Comma separated value (CSV) file which contains for each percentage (from 1% to 100%) the time (in milliseconds) it took to serve that percentage of the requests. This is usually more useful than the 'gnuplot' file; as the results are already 'binned'.</p>
<p>-g gnuplot-file</p>
<p>Write all measured values out as a 'gnuplot' or TSV (Tab separate values) file. This file can easily be imported into packages like Gnuplot, IDL, Mathematica, Igor or even Excel. The labels are on the first line of the file.</p>
<p>-h</p>
<p>Display usage information.</p>
<p>-H custom-header</p>
<p>Append extra headers to the request. The argument is typically in the form of a valid header line, containing a colon-separated field-value pair (i.e., "Accept-Encoding: zip/zop;8bit").</p>
<p>-i</p>
<p>Do HEAD requests instead of GET.</p>
<p>-k</p>
<p>Enable the HTTP KeepAlive feature, i.e., perform multiple requests within one HTTP session. Default is no KeepAlive.</p>
<p>-n requests</p>
<p>Number of requests to perform for the benchmarking session. The default is to just perform a single request which usually leads to non-representative benchmarking results.</p>
<p>-p POST-file</p>
<p>File containing data to POST.</p>
<p>-P proxy-auth-username:password</p>
<p>Supply BASIC Authentication credentials to a proxy en-route. The username and password are separated by a single : and sent on the wire base64 encoded. The string is sent regardless of whether the proxy needs it (i.e., has sent an 407 proxy authentication needed).</p>
<p>-q</p>
<p>When processing more than 150 requests, ab outputs a progress count on stderr every 10% or 100 requests or so. The -q flag will suppress these messages.</p>
<p>-s</p>
<p>When compiled in<br />
  1</p>
<p>本文出自seven的测试人生公众号最新内容请见作者的GitHub页：http://qaseven.github.io/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:47:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/apache/" title="apache">apache</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/google/" title="google">google</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/request/" title="request">request</a>, <a href="https://www.iamivan.net/tag/mean/" title="MEAN">MEAN</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>开源性能测试工具-Apache ab介绍的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boddnjM.html" rel="bookmark">CEA开源性能测试工具N2D2 人工智能芯片竞赛开始了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ZD至顶网服务器频道 12月25日 新闻消息: 深度学习在2016年持续成为业界热门话题.而在即将来临的2017年里,专家们称人工智能社区对高性能.高效的深层神经网络&quot;推理&quot;引擎的需求将迅猛增加. 时下的深度学习系统主要是在定义网络.训练大数据集时利用强大的计算资源,而在达到目标时则需访问大型计算机系统. 不幸的是,要在嵌入式系统(如汽车.无人驾驶飞机和物联网设备)上有效地实现类似的学习并不容易,原因是嵌入式系统的处理能力.内存和带宽通常是有限的. 因此,深度神经网络(DNN)使得创新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNr4BM.html" rel="bookmark">apache自带的性能测试工具ab使用教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站性能压力测试是服务器网站性能调优过程中必不可缺少的一环.只有让服务器处在高压情况下,才能真正体现出软件.硬件等各种设置不当所暴露出的问题. 性能测试工具目前最常见的有以下几种:ab.http_load.webbench.siege.今天我们专门来介绍ab. ab是apache自带的压力测试工具.ab非常实用,它不仅可以对apache服务器进行网站访问压力测试,也可以对或其它类型的服务器进行压力测试.比如nginx.tomcat.IIS等. 下面我们开始介绍有关ab命令的使用: 1.ab的原理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7xRGab.html" rel="bookmark">apache性能测试工具ab使用详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站性能压力测试是服务器网站性能调优过程中必不可缺少的一环.只有让服务器处在高压情况下,才能真正体现出软件.硬件等各种设置不当所暴露出的问题. 性能测试工具目前最常见的有以下几种:ab.http_load.webbench.siege.今天我们专门来介绍ab. ab是apache自带的压力测试工具.ab非常实用,它不仅可以对apache服务器进行网站访问压力测试,也可以对或其它类型的服务器进行压力测试.比如nginx.tomcat.IIS等. 下面我们开始介绍有关ab命令的使用: 1.ab的原理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYXlNrb.html" rel="bookmark">apache性能测试工具ab的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站性能压力测试是服务器网站性能调优过程中必不可缺少的一环.只有让服务器处在高压情况下,才能真正体现出软件.硬件等各种设置不当所暴露出的问题. 性能测试工具目前最常见的有以下几种:ab.http_load.webbench.siege.今天我们专门来介绍ab. ab是apache自带的压力测试工具.ab非常实用,它不仅可以对apache服务器进行网站访问压力测试,也可以对或其它类型的服务器进行压力测试.比如nginx.tomcat.IIS等. 下面我们开始介绍有关ab命令的使用: 1.ab的原理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvAwJM.html" rel="bookmark">Apache HTTP服务器性能测试工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ab是Apache超文本传输协议(HTTP)的性能测试工具. 其设计意图是描绘当前所安装的Apache的执行性能, 主要是显示你安装的Apache每秒可以处理多少个请求. 概要 ab [ -A auth-username:password ] [ -c concurrency ] [ -C cookie-name=value ] [ -d ] [ -e csv-file ] [ -g gnuplot-file ] [ -h ] [ -H custom-header ] [ -i ] [ -k ]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwX2Rz.html" rel="bookmark">性能测试工具SilkPerformer介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SilkPerformer是业界最强大,且最易用的企业级负载和强度测试解决方案,用于对关键任务 应用的质量进行优化.SilkPerformer使用可视化脚本生成技术和对存在成千上万的并发用户的多 个应用环境进行测试的能力,使您能够在企业应用部署之前,就对其可靠性.性能和可伸缩性进行彻底 的测试,而无需考虑其规模大小和复杂程度.SilkPerformer强大的诊断工具和管理报告能够帮助您隔离 错误并快速做出决定,从而最大程度缩短测试周期和加快上市速度. 1.单一控制.分布测试 从单一的中央控制点,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKArBb.html" rel="bookmark">apache ab工具页面压力测试返回结果含义解释&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ab是apache自带的一个很好用的压力测试工具,当安装完apache的时候,就可以在bin下面找到ab 参数说明及示例 我们可以模拟100个并发用户,对一个页面发送1000个请求 输入命令:ab -n1000 -c100 http://www.jb51.net/ 其中-n代表请求数,-c代表并发数 返回结果: ##首先是apache的版本信息 This is ApacheBench, Version 2.3 &lt;Revision:655654&gt; Copyright 1996 Adam Twis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq72mOz.html" rel="bookmark">使用Apache ab工具对Apache服务器进行简单的压力测试&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.安裝ab命令 sudo apt-get install apache2-utils 2.ab命令参数说明 Usage: ab [options] [http[s]://]hostname[:port]/path  Options are:      //总的请求数 -n requests Number of requests to perform //一次同时并发的请求数 总的请求数(n)=次数*一次并发数(c) -c concurrency Number of multiple reque			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbK2OOz.html" rel="bookmark">Gatling：新一代服务器性能测试工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				21世纪是云的世纪, 大规模云网已经出现了,而且在未来几年内会得到高速发展,从而使得基于云的系统也会越来越多.如果要开发一款高性能的云系统,服务器性能测试是一个必不可少的环节.今天,就来介绍一款新一代服务器性能测试工具Gatling. 一,什么是Gatling Gatling是一款基于Scala 开发的高性能服务器性能测试工具,它主要用于对服务器进行负载等测试,并分析和测量服务器的各种性能指标.Gatling主要用于测量基于HTTP的服务器,比如Web应用程序,RESTful服务等,除此之外它拥			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5RyBz.html" rel="bookmark" class="title">源码-用javaSSH框架做一个简单的登录功能</a>
					<div>
						问题描述 用javaSSH框架做一个简单的登录功能 用SSH框架做一个简单的登录功能,登录成功则跳转到一个页面,登录失败则跳转到一个失败页面,MySQL数据库.求大神指点,最好能提供源码 解决方案 S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyK44z.html" rel="bookmark" class="title">百度地图之基础地图</a>
					<div>
						在做项目集成百度地图SDK时,配置开发环境时,可以下载全新.framework形式静态库,传统.a形式静态库,在用.a形式静态库时在第二步需要引入静态库文件 ,由于有模拟器和真机两个静态库,集成文档写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3AD3p.html" rel="bookmark" class="title">如何鉴别硬件防火墙性能的差异</a>
					<div>
						有一些问题常令用户困惑:在产品的功能上,各个厂商的描述十分雷同,一些&quot;后起之秀&quot;与知名品牌极其相似.面对这种情况,该如何鉴别?描述得十分类似的产品,即使是同一个功能,在具体实现上. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwjGEp.html" rel="bookmark" class="title">入门学习：运用CSS样式表改变鼠标的样式</a>
					<div>
						css|鼠标|样式表 用惯了Windows的人对各种各样的鼠标样式一定不会陌生.当鼠标移动到不同的地方时,当鼠标执行不同的功能时,当系统处于不同的状态时,都会使鼠标的形状发生变化.而在网页上往往只有当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN90lb.html" rel="bookmark" class="title">div怎么分左右两半？</a>
					<div>
						 在内容排版上以前是在左上角放置广告后,内容跟随到广告下面,这次希望左右分开,不要跟随到广告下面,因为数据比较短,跟随到下面不留意发现,于是用到了div来控制左右两边分离,给需要的朋友参考下: 代码非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB1dLz.html" rel="bookmark" class="title">Skype如何同步我的联系人</a>
					<div>
						您的Skype联系人和您的电话薄联系人同步可使您直接从本机电话薄中发起Skype通话或进行即时聊天.电话薄中同步的联系人会在他们的名字后面出现一个显示状态的图标,当您轻击一个联系人后,您会看到四个选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkRRAb.html" rel="bookmark" class="title">Mac截图快捷键</a>
					<div>
						  快捷键:Shift+Command+3  截取全屏幕至桌面Shift+Command+4  截取部分屏幕至桌面Shift+Command+4+空格 截取窗口或原件至桌面Shift+Comma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxL4Rb.html" rel="bookmark" class="title">SQL Server同Index Server的结合应用2&sol;3</a>
					<div>
						本段文章节选自铁道出版社新出的&lt;用BackOffice建立Intranet/Extranet应用&gt;一书(现已在各书店有售.如海淀图书城.西单图书大厦等.外地或者需要送货上门的读者可以到ww ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQGOnp.html" rel="bookmark" class="title">李开复&colon;让我帮你创业 实现＂世界因你不同＂价值</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 &quot;我已经到了这个人生阶段,再不去做,我真的很怕来不及了.尽管前方充满了悬念,但我依然相信内心的声音.我发现帮助他人实现他们的梦想,是唯一比实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl7BRb.html" rel="bookmark" class="title">昨夜难忘？今晚20点，容器、中间件、负载均衡等实战交流继续！</a>
					<div>
						良辰美景与您只差一个点击==&gt;大流量高并发互联网应用实践在线峰会 昨晚(20日)20点整,大流量高并发互联网应用实践在线峰会如约召开,阿里林伟.朱震杰.顾风胜.罗龙九.陈哲等数位专家不仅分享了各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7ZYNp.html" rel="bookmark" class="title">5G技术将启动研究 峰值速率或达10Gbps</a>
					<div>
						当前,移动宽带技术已经进入4G LTE时代,而对于后4G移动宽带技术的发展,在&quot;2012年中国国际信息通信展览会&quot;期间,诺基亚西门子通信(下称&quot;诺西&quot;)全球研究 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqABvRM.html" rel="bookmark" class="title">《Android的设计与实现：卷I》&mdash;&mdash;第1章　Android体系结构及源代码阅读环境搭建 1&period;1　Android发展过程</a>
					<div>
						第1章 Android体系结构及源代码阅读环境搭建 Android是Google于2007年11月5日发布的基于Linux内核的开源移动设备软件平台,该平台由操作系统.虚拟机.运行库.框架.应用软件以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Zq7XM.html" rel="bookmark" class="title">物联网和家庭市场将成为运营商转型的下一个风口</a>
					<div>
						随着互联网与传统运营商业务的进一步融合,互联网在生产生活等各领域的快速发展,为电信运营商提供了更多的发展机遇.在运营商眼中,物联网和家庭市场将成为转型的下一个风口. 互联网发展促进运营商模式创新 中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmvlWb.html" rel="bookmark" class="title">我想用单片机连接windows azure ping的IP，ping 不通怎么办呢？</a>
					<div>
						问题描述 我想用单片机连接windows azure ping的IP,ping 不通怎么办呢? 大家好,我想问下,我想用单片机连接windows azure ping的IP,ping 不通怎么办呢?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqVNQz.html" rel="bookmark" class="title">用UITextView加载rtfd文件</a>
					<div>
						用UITextView加载rtfd文件   效果   说明 使用此方法可以实现十分简易的富文本显示效果,包括图文混排等等效果.   源码 // // ViewController.m // Rtfd  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5ZAZM.html" rel="bookmark" class="title">php使用pdo连接mssql server数据库实例&lowbar;php技巧</a>
					<div>
						本文实例讲述了利用php的pdo来连接微软的mssql server数据库的方法,分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: $dsn = 'mssql:dbname=bookSt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRNK6b.html" rel="bookmark" class="title">android studio-androidstudio的gradle同步问题和发布apk</a>
					<div>
						问题描述 androidstudio的gradle同步问题和发布apk 这条东西一直存在 同步显示build successful 它也存在 是什么原因呢 还有一个问题 生成apk的目录和发布时读取的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnR18M.html" rel="bookmark" class="title">unity assetbundle加载资源的版本号怎么获取？</a>
					<div>
						问题描述 unity assetbundle加载资源的版本号怎么获取? unity assetbundle加载资源的版本号怎么获取? 我把资源用assetbundle打包之后放在服务器,然后用WWW. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x1EZb.html" rel="bookmark" class="title">百度宣布扩招500名销售人才</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 2009年6月11日,全球领先中文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN6XKM.html" rel="bookmark" class="title">mfc-有关于MFC映射多重消息的问题</a>
					<div>
						问题描述 有关于MFC映射多重消息的问题 用MFC的消息映射调用消息的响应,同时调用多个消息函数,每个函数可以得到自己的调用顺序么?怎么同时调用呢? 解决方案 这个你可以采用设计模式中的职责链模式,来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJEqmp.html" rel="bookmark" class="title">IIS 6&period;0文件夹解析漏洞的补救办法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 事件:早前有暴出一个IIS6.0下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoe68M.html" rel="bookmark" class="title">MAC Brew安装MNMP</a>
					<div>
						brew非常有用,类似于Linux得apt-get或者yum 安装Brew 这个要注意避免错过,brew不能在root账号下运行 先安装编译工具Command Line Tools,执行命令 Java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqJPJp.html" rel="bookmark" class="title">OpenCascade Primitives BRep-Cylinder</a>
					<div>
						OpenCascade Primitives BRep-Cylinder eryar@163.com Abstract. BRep is short for Boundary Representati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNw6Vp.html" rel="bookmark" class="title">wp7中短时间内多次请求同一Http地址强制刷新解决办法</a>
					<div>
						问题情景描述:假设在开发一个微博客户端,一个功能就是关注某人,当用户未关注某人的时候,点击关注按钮,服务器返回&quot;关注成功&quot;,此时再点击关注按钮(界面未由于&quot;关注成功&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkl1OM.html" rel="bookmark" class="title">php-cli简介&lpar;不会Shell语言一样用Shell&rpar;&lowbar;php技巧</a>
					<div>
						1.基础知识 1.1 什么是Shell编程? 在 Unix 中,shell 可不是简单的命令解释器(典型的有 Windows 中的 DOS ),而是一个全功能的编程环境.Shell 是操作系统的一部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEymyp.html" rel="bookmark" class="title">js&plus;xml生成级联下拉框代码&lowbar;javascript技巧</a>
					<div>
						需要默认选中时,定义一个变量 var cityId=城市id 下面是js代码 复制代码 代码如下: function readxml() { var XmlDoc = null; if (window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N7RPb.html" rel="bookmark" class="title">sqlserver中的翻页</a>
					<div>
						sqlserver中没有类似oralce中的伪列.所以不能用这个属性来进行分页. 这是我最近搞的一个关于sqlserver的分页,不知道对你有没有帮助: 我们知道,sqlserver中,top关键字是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NBvPb.html" rel="bookmark" class="title">sqlserver触发器实现INSERT update实例</a>
					<div>
						语法  代码如下 复制代码 CREATE or REPLACE TRIGGER trigger_name AFTER INSERT    ON table_name    [ FOR EACH ROW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Vokb.html" rel="bookmark" class="title">redo 和 undo 之二</a>
					<div>
						5.分析redo redo的管理是数据库的一个串行点,每个oracle数据库实例都只有一个LGWR进程,所有的事务都会要求LGWR进程去管理,写他们的各自的redo,每个操作的LGWR写的越多,就会使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn6Nkp.html" rel="bookmark" class="title">SHA1RSA签名的流程是什么</a>
					<div>
						问题描述 SHA1RSA签名的流程是什么?是不是先算报文SHA1摘要得到digest,再对摘要digest做SHA1WITHRSA签名? 解决方案 解决方案二:楼上的问题解决没,我也想用Java生成一 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
